Subject: bug#47026: 28.0.50; Allow Gnus summary faces to extend to end of line

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Mar 2021 16:15:52 +0100

Kévin Le Gouguec <[email-masked]> writes:

> Right now Gnus only applies these faces right up to the char *before*
> EOL; if it were to apply them one char further, users could then set (or
> unset) the :extend property on these faces.
>
> I'm attaching a patch only for demonstration purposes; I do not know
> whether it should be applied as-is.  It does Work For Me®, but:

Makes sense to me, so I've applied it to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no